From 23e1873aa62acb58b7881eed2a501f5bf35b82e9 Mon Sep 17 00:00:00 2001
From: Roman Arutyunyan <arutyunyan.roman@gmail.com>
Date: Tue, 25 May 2021 10:42:16 +0300
Subject: [PATCH] Fixed null pointer dereference while reading AMF.

Thanks to Zengxian Ding.
---
 ngx_rtmp_amf.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/ngx_rtmp_amf.c b/ngx_rtmp_amf.c
index b20989ceb..3fe3ccf6f 100644
--- a/ngx_rtmp_amf.c
+++ b/ngx_rtmp_amf.c
@@ -328,7 +328,7 @@ ngx_rtmp_amf_read(ngx_rtmp_amf_ctx_t *ctx, ngx_rtmp_amf_elt_t *elts,
         } else {
             switch (ngx_rtmp_amf_get(ctx, &type8, 1)) {
                 case NGX_DONE:
-                    if (elts->type & NGX_RTMP_AMF_OPTIONAL) {
+                    if (elts && elts->type & NGX_RTMP_AMF_OPTIONAL) {
                         return NGX_OK;
                     }
                     /* fall through */
